commit: 4976a5b493b6feb24f2779d47e91c35c7a69ac34
Author: Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Fri Apr 29 16:31:48 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed May 11 21:31:23 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4976a5b4
app-crypt/swtpm: add 0.7.3
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-crypt/swtpm/Manifest | 1 +
app-crypt/swtpm/swtpm-0.7.3.ebuild | 70 ++++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/app-crypt/swtpm/Manifest b/app-crypt/swtpm/Manifest
index f524ff510e56..61a540486411 100644
--- a/app-crypt/swtpm/Manifest
+++ b/app-crypt/swtpm/Manifest
@@ -1 +1,2 @@
DIST swtpm-0.7.2.tar.gz 353941 BLAKE2B
e4d69919b5d255cff5eb9cda4c98e84e9fd53290360312742f95d63444ad5279fc7808e7f2e040cc2c87475c409b3c0f22e54ca301e8cb18bee71290f661ecc8
SHA512
91a8f9371a13f5f6bb329ef4bd7638fb9abe5ec84631b1d22e7eb9abcb91b7f3cccfdf147f65d54c03bf4d8a141b6b5fb6385d90f78d35096bd3b8ce140d39cb
+DIST swtpm-0.7.3.tar.gz 354088 BLAKE2B
687e3161cbc08be68427648187ba2fb05749bcaaf9929b951eea4884bd4210c6105a2494f5e7d51915e5be1b700b13889cd83c96d22e00d621ea9336221ee67b
SHA512
7f4cdf7ca2539f28e3a78e2a081b24983f3305905c7cafcac0957b14f5c06c8ee9485a0adaf3710561091f9ee85e00822fe1ff874389808218c1e17f938c45d9
diff --git a/app-crypt/swtpm/swtpm-0.7.3.ebuild
b/app-crypt/swtpm/swtpm-0.7.3.ebuild
new file mode 100644
index 000000000000..d0ec3be7f7be
--- /dev/null
+++ b/app-crypt/swtpm/swtpm-0.7.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10} )
+
+inherit autotools python-any-r1
+
+DESCRIPTION="Libtpms-based TPM emulator"
+HOMEPAGE="https://github.com/stefanberger/swtpm"
+SRC_URI="https://github.com/stefanberger/swtpm/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="fuse +gnutls seccomp test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="fuse? (
+ dev-libs/glib:2
+ sys-fs/fuse:0
+ )
+ gnutls? (
+ dev-libs/libtasn1:=
+ >=net-libs/gnutls-3.1.0:=[tools,pkcs11]
+ )
+ seccomp? ( sys-libs/libseccomp )
+ acct-group/tss
+ acct-user/tss
+ dev-libs/openssl:0=
+ dev-libs/json-glib
+ dev-libs/libtpms"
+
+DEPEND="${RDEPEND}
+ test? (
+ net-misc/socat
+ dev-tcltk/expect
+ )"
+
+BDEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.6.0-fix-localca-path.patch"
+ "${FILESDIR}/${PN}-0.5.0-build-sys-Remove-WError.patch"
+ "${FILESDIR}/${PN}-0.7.2-Conditionalize-test-dependencies.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --with-openssl \
+ --without-selinux \
+ $(use_with fuse cuse) \
+ $(use_with gnutls) \
+ $(use_with seccomp) \
+ $(use_enable test)
+}
+
+src_install() {
+ default
+ fowners -R tss:root /var/lib/swtpm-localca
+ fperms 750 /var/lib/swtpm-localca
+ keepdir /var/lib/swtpm-localca
+ find "${D}" -name '*.la' -delete || die
+}